package com.mmc.iuav.user.service.signin;

import com.mmc.iuav.response.ResultBody;
import com.mmc.iuav.user.entity.signin.SignInDO;
import com.mmc.iuav.user.entity.signin.SignInRecordDO;
import com.mmc.iuav.user.model.dto.signin.SignInDTO;
import com.mmc.iuav.user.model.vo.signin.AppSignInVO;
import com.mmc.iuav.user.model.vo.signin.SignInVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author small
 * @Date 2023/10/13 9:34
 * @Version 1.0
 */
public interface SignInService {
    ResultBody SignIn(SignInVO signInVO);

    List<SignInDTO> SignInList();

    ResultBody appSignIn(AppSignInVO appSignInVO);

    List<SignInRecordDO> signInRecord(Integer userAccountId);
}
